Bug 735454 - Review Request: java-uuid-generator - a pure java UUID generator
Summary: Review Request: java-uuid-generator - a pure java UUID generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 17:02 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
4 users (show)

Fixed In Version: java-uuid-generator-3.1.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 18:38:10 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andy Grimm 2011-09-02 17:02:03 UTC
Name        : java-uuid-generator
Version     : 3.1.2
License     : ASL 2.0
URL         : http://wiki.fasterxml.com/JugHome
Summary     : a pure Java UUID Generator
Description :
JUG is a pure java UUID generator, that can be used either
as a component in a bigger application, or as a standalone
command line tool (a la 'uuidgen').

JUG generates UUIDs according to the IETF UUID draft
specification (and further clarified in UUID URN name space
IETF draft ) 8211; all 3 'official' types defined by the
draft 8211 are supported.


SPEC:
https://downloads.eucalyptus.com/software/devel/fedora-16/SPECS/java-uuid-generator.spec

SRPM:
https://downloads.eucalyptus.com/software/devel/fedora-16/SRPMS/java-uuid-generator-3.1.2-1.fc16.src.rpm

Comment 1 Alexander Kurtakov 2011-09-07 14:59:13 UTC
I would do this one.

Comment 2 Alexander Kurtakov 2011-09-07 15:31:56 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
./java-uuid-generator.spec:74: W: non-standard-group Development/Documentation
The correct group is Documentation
./java-uuid-generator.spec: W: invalid-url Source0: java-uuid-generator-3.1.2.tgz
not a problem, usual github problem
java-uuid-generator.noarch: W: summary-not-capitalized C a pure Java UUID Generator
Please fix.
java-uuid-generator.noarch: W: spelling-error %description -l en_US uuidgen -> smidgen
False positive.
java-uuid-generator.noarch: W: file-not-utf8 /usr/share/doc/java-uuid-generator-3.1.2/CREDITS
Fix it.
java-uuid-generator-javadoc.noarch: W: non-standard-group Development/Documentation
Should be just documentation.


[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASLv2
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[!]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

Issues:
* rpmlint issues
* remove clean section
* please use one mvn-rpmbuild call e.g mvn-rpmbuild package javadoc:javadoc

Comment 4 Alexander Kurtakov 2011-09-07 16:25:14 UTC
Thanks,
APPROVED

Comment 5 Andy Grimm 2011-09-13 14:32:23 UTC
New Package SCM Request
=======================
Package Name: java-uuid-generator
Short Description: A pure Java UUID generator
Owners: arg
Branches: f15 f16 el6
InitialCC:

Comment 6 Gwyn Ciesla 2011-09-13 14:53:19 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-09-13 19:34:41 UTC
java-uuid-generator-3.1.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/java-uuid-generator-3.1.2-2.fc16

Comment 8 Fedora Update System 2011-09-13 22:21:44 UTC
java-uuid-generator-3.1.2-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-09-30 18:38:05 UTC
java-uuid-generator-3.1.2-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.